obsolete

R-3.3.0-5.el5

FEDORA-EPEL-2016-ea9aef57fc created by spot 8 years ago for Fedora EPEL 5

Actually fix CRAN builds by removing invalid linkflags.


Fixup libR.pc to not point to a ton of unnecessary sharedlibs.

This update has been submitted for testing by spot.

8 years ago

This update has obsoleted R-3.3.0-4.el5, and has inherited its bugs and notes.

8 years ago

spot edited this update.

8 years ago

This update has been pushed to testing.

8 years ago
User Icon ellert commented & provided feedback 8 years ago
karma

Unfortunately the EPEL 5 version is still broken.

In EPEL 5 the set of link options that needs to be removed is different than on EPEL 6, so the sed replacement that was tailored for EPEL 6 fails on EPEL 5.

On EPEL 5 the options to remove are:

-ldl -lpthread -lc -lrt  -lcurl -lidn -lssh2 -lssl -lcrypto -lssl -lcrypto -ldl -lz -lgssapi -lldap -lz -lrt

This differs from the EPEL 6 flags

-ldl -lpthread -lc -lrt  -lcurl -lidn -lssh2 -lssh2 -lssl -lcrypto -lssl -lcrypto -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lldap -lz -lrt

This can possibly be fixed by repeating the tho sed expression with the EPEL 6 flags replaced by the EPEL 5 flags, or by using something like

sed 's|-ldl -lpthread .* -lldap -lz -lrt||'
BZ#1341771 Missing dependencies for R-core-devel in EPEL 5 and 6

This update has been obsoleted by R-3.3.0-6.el5.

8 years ago

Please login to add feedback.

Metadata
Type
bugfix
Karma
-1
Signed
Content Type
RPM
Test Gating
Builds
1
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
disabled
Dates
submitted
8 years ago
in testing
8 years ago
modified
8 years ago
BZ#1341771 Missing dependencies for R-core-devel in EPEL 5 and 6
-1
0
BZ#1341970 javareconf fails, because libssh2-devel is missing
0
0

Automated Test Results